Home
Repository 32bit  Forum
Repository 64bit  Wiki

Modifiche

Compilare KDE4 su Slackware 12

31 byte aggiunti, 14:05, 4 mag 2011
m
Archiviato in 12.x - come da titolo
[[category:Scritti_misti-12]]
<h1>Compilare KDE4 su Slackware 12.0</h1>
Installare i seguenti pacchetti tgz dal deposito di slacky.eu:
<ol>
<li>boost 1.35.0</li>
<li>clucene 0.9.20</li>
<li>enchant 1.3.0</li>
<li>jasper 1.900.1</li>
<li>libarchive 2.4.1317</li>
<li>libvncserver 0.9.1</li>
<li>libzip 0.8</li>
<li>boost 1.35.0</li>
</ol>
<pre>mkdir pacchetti-kde4
cd pacchetti-kde4
wget http://repository.slacky.eu/slackware-12.0/development/boost/1.35.0/boost-1.35.0-i686-1as.tgz
wget http://repository.slacky.eu/slackware-12.0/office/clucene/0.9.20/clucene-core-0.9.20-i486-1as.tgz
wget http://repository.slacky.eu/slackware-12.0/libraries/enchant/1.3.0/enchant-1.3.0-i486-1ms.tgz
wget http://repository.slacky.eu/slackware-12.0/libraries/jasper/1.900.1/jasper-1.900.1-i486-1sl.tgz
wget http://repository.slacky.eu/slackware-12.0/libraries/libarchive/2.4.1317/libarchive-2.4.13-i486-1sl.tgz
wget http://repository.slacky.eu/slackware-12.0/libraries/libvncserver/0.9.1/libvncserver-0.9.1-i486-1as.tgz
wget http://repository.slacky.eu/slackware-12.0/libraries/libzip/0.8/libzip-0.8-i486-1gv.tgz
wget http://repository.slacky.eu/slackware-12.0/development/boost/1.35.0/boost-1.35.0-i686-1as.tgz
upgradepkg --install-new *.tgz</pre>
export MANPATH=$QTDIR/doc/man:$MANPATH
export LD_LIBRARY_PATH=$QTDIR/lib:$KDEDIR/lib
export PATH=$QTDIR/bin:$KDEDIR/bin:$KDEDIR/lib/kde4/libexec:/usr/local/bin:/usr/bin:/bin:/usr/games:/usr/lib/java/bin:/usr/lib/java/jre/bin:/usr/share/texmf/bin:.
export YACC='byacc -d'
La compilazione del futuro KDE 4.1 richiede le Qt 4.4. Possono essere scaricate.
<pre>wget http://wftp.tu-chemnitz.de/pub/Qt/qt/source/qt-x11-opensource-src-4.4.02.tar.gz</pre>
Oppure prelevate e installate da SVN così:
Nel caso si scarichi dai sorgenti, sarà installata automaticamente tutta la ricca documentazione a corredo. Consiglio questo metodo.
<pre>tar xvzf qt-x11-opensource-src-4.4.02.tar.gzcd qt-x11-opensource-src-4.4.02
./configure -qt-gif -release -fast -no-exceptions -system-libpng -system-libjpeg \
-system-zlib -qdbus -webkit -no-phonon -prefix $QTDIR -confirm-license
Che riporta i sorgenti allo stato del prelievo da SVN. Il mio consiglio è di non applicare le patch se si desidera aggiornare KDE4 con questo documento e non ci si vuole perdere in un "svn revert". Ho riportato l'infomazione solo per rendervi nota la cosa e per darvi la possibilità di decidere in autonomia.
Installiamo QCA 2.0.1 RC1:<pre>wget http://delta.affinix.com/download/qca/2.0/pre/qca-2.0.1-rc1.tar.bz2tar xfjv qca-2.0.1-rc1.tar.bz2cd qca-2.0.1-rc1
./configure --prefix=$QTDIR
make
l'installazione di KDE4.
Installiamo poppler-0.8 .5 (serve per visualizzare i file PDF in okular):<pre>wget http://poppler.freedesktop.org/poppler-0.8.05.tar.gztar xfzv poppler-0.8.05.tar.gzcd poppler-0.8.05
./configure --prefix=$KDEDIR --enable-zlib
make
<b>Autore</b>: Giovanni Venturi<br>
<b>Sito Web</b>: http://kslacky.wordpress.com/ - http://www.ksniffer.org/<br>
<b>Versione</b>: 0.1.1415<br>
<b>Prima versione</b>: 24 febbraio 2008<br>
<b>Ultima versione</b>: 5 8 giugno 2008<br>
<b>Riferimenti</b>: http://techbase.kde.org/index.php?title=Getting_Started/Build/KDE4
228
contributi